## pcmanfm-qt 0.10.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(pcmanfm-qt)

# CMP0063: Honor visibility properties for all target types.
if (POLICY CMP0063)
    cmake_policy (SET CMP0063 NEW)
endif (POLICY CMP0063)

set(PCMANFM_QT_VERSION_MAJOR 0)
set(PCMANFM_QT_VERSION_MINOR 10)
set(PCMANFM_QT_VERSION_PATCH 0)
set(PCMANFM_QT_VERSION ${PCMANFM_QT_VERSION_MAJOR}.${PCMANFM_QT_VERSION_MINOR}.${PCMANFM_QT_VERSION_PATCH})

list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")

find_package(Qt5Widgets 5.2 REQUIRED)
find_package(Qt5DBus 5.2 REQUIRED)
find_package(Qt5LinguistTools 5.2 REQUIRED)
find_package(Qt5X11Extras 5.2 REQUIRED)
find_package(fm-qt REQUIRED)

find_package(PkgConfig REQUIRED)
pkg_check_modules(LIB_XCB REQUIRED xcb)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
include(GNUInstallDirs)
include(LXQtTranslateTs)
include(LXQtTranslateDesktop)

# set visibility to hidden to hide symbols, unless they're exported manually in the code
set(CMAKE_CXX_VISIBILITY_PRESET hidden)
set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)

if (CMAKE_VERSION VERSION_LESS "3.1")
    include(CheckCXXCompilerFlag)
    CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
    if(COMPILER_SUPPORTS_CXX11)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
    else()
        CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
        # -std=c++0x is deprecated but some tools e.g. qmake or older gcc are still using it
        if(COMPILER_SUPPORTS_CXX0X)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
        else()
            message(FATAL_ERROR "Compiler ${CMAKE_CXX_COMPILER} does not support c++11/c++0x")
        endif()
    endif()
else()
  set(CMAKE_CXX_STANDARD 11)
endif()

if (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
    # set visibility to hidden to hide symbols, unless they're exported manually in the code
    set(CMAKE_CXX_FLAGS "-fno-exceptions ${CMAKE_CXX_FLAGS}")
endif()

set(CMAKE_AUTOMOC TRUE)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

add_subdirectory(pcmanfm)

# manpage for pcmanfm-qt
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/pcmanfm-qt.1.in"
    "${CMAKE_CURRENT_BINARY_DIR}/pcmanfm-qt.1"
    @ONLY
)
install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/pcmanfm-qt.1"
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
)

# add Doxygen support to generate API docs
# References:
# http://majewsky.wordpress.com/2010/08/14/tip-of-the-day-cmake-and-doxygen/
# http://www.bluequartz.net/projects/EIM_Segmentation/SoftwareDocumentation/html/usewithcmakeproject.html
option(BUILD_DOCUMENTATION "Use Doxygen to create the HTML based API documentation" OFF)
if(BUILD_DOCUMENTATION)
    find_package(Doxygen REQUIRED)
    configure_file("${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in" "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile" @ONLY)
    add_custom_target(doc ALL
        ${DOXYGEN_EXECUTABLE} "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile"
        WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
        COMMENT "Generating API documentation with Doxygen" VERBATIM
    )
    install(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/docs" DESTINATION "${CMAKE_INSTALL_DOCDIR}")
endif()

# building tarball with CPack -------------------------------------------------
# To create a source distribution, type:
# make package_source
include(InstallRequiredSystemLibraries)
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
set(CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
set(CPACK_PACKAGE_VENDOR "")
set(CPACK_PACKAGE_VERSION_MAJOR ${PCMANFM_QT_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${PCMANFM_QT_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${PCMANFM_QT_VERSION_PATCH})
set(CPACK_GENERATOR TBZ2)
set(CPACK_SOURCE_GENERATOR TBZ2)
set(CPACK_SOURCE_IGNORE_FILES /build/;.gitignore;.*~;.git;.kdev4;temp)
include(CPack)

=== pcmanfm/CMakeLists.txt ===
set(pcmanfm_SRCS
    application.cpp
    pcmanfm.cpp
    mainwindow.cpp
    tabpage.cpp
    tabbar.cpp
    view.cpp
    launcher.cpp
    preferencesdialog.cpp
    xdgdir.cpp
    desktoppreferencesdialog.cpp
    desktopwindow.cpp
    desktopitemdelegate.cpp
    autorundialog.cpp
    settings.cpp
)

qt5_add_dbus_adaptor(pcmanfm_SRCS
    org.pcmanfm.Application.xml
    application.h
    PCManFM::Application
    applicationadaptor
    ApplicationAdaptor
)

set(pcmanfm_UIS
    main-win.ui
    about.ui
    preferences.ui
    desktop-preferences.ui
    desktop-folder.ui
    autorun.ui
)

qt5_wrap_ui(pcmanfm_UIS_H ${pcmanfm_UIS})

# add translation for pcmanfm-qt
lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    SOURCES ${pcmanfm_SRCS} ${pcmanfm_UIS}
)

# translate desktop entry files for pcmanfm-qt and desktop preferences
lxqt_translate_desktop(DESKTOP_FILES
    SOURCES
        pcmanfm-qt.desktop.in
        pcmanfm-qt-desktop-pref.desktop.in
)

add_executable(pcmanfm-qt
    ${pcmanfm_SRCS}
    ${pcmanfm_UIS_H}
    ${QM_FILES}
    ${DESKTOP_FILES}
)
set_property(
     TARGET pcmanfm-qt APPEND
     PROPERTY COMPILE_DEFINITIONS
     PCMANFM_DATA_DIR="${CMAKE_INSTALL_PREFIX}/share/pcmanfm-qt"
     PCMANFM_QT_VERSION="${PCMANFM_QT_VERSION}"
)

target_include_directories(pcmanfm-qt
    PRIVATE "${LIB_XCB_INDLUDE_DIRS}"
)

target_link_libraries(pcmanfm-qt
    Qt5::X11Extras
    Qt5::Widgets
    Qt5::DBus
    fm-qt
    "${LIB_XCB_LIBRARIES}"
)

install(TARGETS pcmanfm-qt RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

# install a desktop entry file for pcmanfm-qt and desktop preferences
install(FILES ${DESKTOP_FILES} DESTINATION "${CMAKE_INSTALL_DATADIR}/applications"
)

install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_DATADIR}/pcmanfm-qt/translations")

# prevent the generated files from being deleted during make clean
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM true)

=== debian/changelog ===
pcmanfm-qt (0.10.1-2) unstable; urgency=medium

  * Bump Standards to 3.9.7
  * Fix years in copyright
  * Add hardending=+all
  * simplify rules
  * make pcmanfm-qt reproducible again, thanks to Eduard Sanou for the
    bugreport and the patch, but it was fixed before (Closes: #815818)

 -- Alf Gaida <agaida@siduction.org>  Fri, 26 Feb 2016 00:16:22 +0100

pcmanfm-qt (0.10.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove libfm-qt as upstream moved it into another source repository.
  * Remove dbg package in favor of dbgsym.
  * Update Vcs-Browser.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 07 Feb 2016 16:13:27 +0800

pcmanfm-qt (0.10.0-2) unstable; urgency=medium

  * Merge from experimental.
  * New upstream release.
  * Update minimum version of liblxqt.
  * Update symbols.
  * Remove menu file, see CTTE #741573.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 15 Nov 2015 21:14:41 +0800

pcmanfm-qt (0.9.0+20150908-2) unstable; urgency=medium

  * Menufile deleted
  * debian/rules --fail-missing included --list-missig, so
    --list-missing deleted

 -- Alf Gaida <agaida@siduction.org>  Fri, 13 Nov 2015 02:37:53 +0100

pcmanfm-qt (0.9.0+20150908-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Cherry-picked upstream version 0.9.0+20150908.
  * Tar-ignore .gitignore
  * Fixed control with cme fix
  * Added upstream signing-key and use it in watch file
  * Removed automoc build dependency - not needed with Qt5
  * Fixed symbols for i386 and amd64

  [ ChangZhuo Chen (陳昌倬) ]
  * Use arch-bits to fix 32 bit architecture symbols.
  * Add Shih-Yuan Lee (FourDollars) as Uploaders.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 15 Sep 2015 23:30:13 +0800

pcmanfm-qt (0.9.0+20150816-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * Import debian directory from Wen.Liao.
  * Initial release (Closes: #747605)
  * Merge debian directory.
  * Backup *.ts.
  * Fix package-contains-empty-directory.
  * Don't use variable for command.
  * Add libfm-qt1 and libfm-qt-dev.
  * Update copyright.
  * Add Pre-Depends: ${misc:Pre-Depends} to libfm-qt1.
  * Create manpage for pcmanfm-qt.
  * add libfm-qt1.symbols.
  * Revert "Create manpage for pcmanfm-qt".
  * Add pcmanfm-qt.manpages.
  * Fix manpage.
  * Install include to libfm-qt-dev.
  * Update package description.
  * Use patch to install manpage.
  * Migrate to QT5.
  * Update d/copyright.
  * Fix copyright typo.
  * Revert accidiently ts changed.

  [ Alf Gaida ]
  * gitignore added.
  * new upstream translation files.
  * some cleanup in debian rules.
  * two missed symbols added.
  * they need a little bit of beautyfing.
  * we should not save translations in debian/bak. if there is a real
    problem with the translations this should be fixed upstream.
  * add two symbols @czchen - would you be so kind and clean them up.
  * catch up with upstream Patch descriptions changed.
  * Imported Upstream version 0.8.0
  * Min Qt version 5.3.2.
  * bump standards to 3.9.6.
  * removed all patches, integrated in upstream.
  * fix symbols (two symbols added).
  * fix prefs desktop file.
  * fix arch for dbg packages.
  * Imported Upstream version 0.8.0.
  * Min Qt version 5.3.2.
  * bump standards to 3.9.6.
  * removed all patches, integrated in upstream.
  * fix symbols (two symbols added).
  * fix prefs desktop file.
  * fix arch for dbg packages.
  * patch added released.
  * fixing arch dependent symbols.
  * recommend gfvs-backends.
  * Some cleanup in debian $foo.
  * some changes in debian $foo.
  * drop transitional packages.

  [ ChangZhuo Chen (陳昌倬) ]
  * Unapply Debian patch.
  * Add debian/source/local-options.
  * Backup / Restore translations.
  * Fix override_dh_clean.
  * Use override_dh_auto_clean to restore translations.
  * Update symbol control file.
  * Quote in symbol control file.
  * Restore upstream file.
  * Imported Upstream version 0.9.0+20150816.
  * Add (c++) to symbol control file.
  * Update changelog.
  * Update symbol control file.
  * Fix symbol control file.
  * Fix Architecture.
  * Add Multi-Arch: same.

  [ Shih-Yuan Lee (FourDollars) ]
  * Polish debian/control by 'cme fix dpkg-control'.
  * Update package description.

  [ Andrew Lee (李健秋) ]
  * Added myself as Uploader.
  * Removing whitespaces at EOL and EOF.
  * Refine descriptions.
  * Don't need to backup/restore translation files, this fixed upstream.
  * Warpped lines in copyright.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 17 Aug 2015 21:04:54 +0800

=== debian/control ===
Source: pcmanfm-qt
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 9.20151219),
               cmake (>= 3.0.2),
               libfm-dev (>= 1.2.0),
               libfm-qt-dev (>= 0.10.0+20151214),
               libglib2.0-dev,
               liblxqt0-dev (>= 0.10.0),
               libmenu-cache-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 1.3.0),
               libx11-dev,
               pkg-config,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/pcmanfm-qt/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/cgit/pkg-lxqt/pcmanfm-qt.git -b debian/sid
Homepage: https://github.com/lxde/pcmanfm-qt

Package: pcmanfm-qt
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libfm-modules
Recommends: gvfs-backends,
            lxqt-sudo | gksu
Description: extremely fast and lightweight file and desktop icon manager
 PCManFM-Qt is the Qt port of the LXDE file manager PCManFM.
 .
 Libfm-Qt is a companion library providing components to build desktop file
 managers.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh ${@} --buildsystem cmake \
		--parallel

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/pcmanfm-qt/releases .*/([\d\.]+).tar.gz

## pcmanfm-qt 0.11.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 endif (POLICY CMP0063)
 
 set(PCMANFM_QT_VERSION_MAJOR 0)
-set(PCMANFM_QT_VERSION_MINOR 10)
+set(PCMANFM_QT_VERSION_MINOR 11)
 set(PCMANFM_QT_VERSION_PATCH 0)
 set(PCMANFM_QT_VERSION ${PCMANFM_QT_VERSION_MAJOR}.${PCMANFM_QT_VERSION_MINOR}.${PCMANFM_QT_VERSION_PATCH})

=== pcmanfm/CMakeLists.txt ===
--- 
+++ 
@@ -62,6 +62,7 @@
 
 target_include_directories(pcmanfm-qt
     PRIVATE "${LIB_XCB_INDLUDE_DIRS}"
+    "${Qt5Gui_PRIVATE_INCLUDE_DIRS}"
 )
 
 target_link_libraries(pcmanfm-qt

=== debian/changelog ===
pcmanfm-qt (0.11.0-10) unstable; urgency=medium

  * Fixed typo in Recommends: oyxgen-icon-theme -> oxygen-icon-theme 

 -- Alf Gaida <agaida@siduction.org>  Mon, 19 Sep 2016 21:50:10 +0200

pcmanfm-qt (0.11.0-9) unstable; urgency=medium

  * Bumped compat to 10
  * Bumped build dependency debhelper (>=10)
  * Fixed typo in Recommends: faenza--icon-theme > faenza-icon-theme

 -- Alf Gaida <agaida@siduction.org>  Mon, 19 Sep 2016 04:23:26 +0200

pcmanfm-qt (0.11.0-8) unstable; urgency=medium

  * Replace dep. dbus-x11 with default-dbus-session-bus | dbus-session-bus
    (Closes: #836284)
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo

 -- Alf Gaida <agaida@siduction.org>  Thu, 01 Sep 2016 22:56:35 +0200

pcmanfm-qt (0.11.0-7) unstable; urgency=medium

  * Fixed VCS fields, use plain /git/
  * Reworked icon-theme recommends (Closes: #833590)
    Thanks Pino Toscano <pino@debian.org>

 -- Alf Gaida <agaida@siduction.org>  Sun, 07 Aug 2016 11:14:08 +0200

pcmanfm-qt (0.11.0-6) unstable; urgency=medium

  * Set LC_ALL for reproducible builds.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 16 Jul 2016 11:16:41 +0800

pcmanfm-qt (0.11.0-5) unstable; urgency=medium

  * Backported temporary upstream fix for #826311 
    (https://github.com/lxde/pcmanfm-qt/pull/359)
  * Bumped standards version to 3.9.8 - no changes needed

 -- Alf Gaida <agaida@siduction.org>  Sat, 04 Jun 2016 19:39:22 +0200

pcmanfm-qt (0.11.0-4) unstable; urgency=medium

  * Added oxygen-icon-theme | oxygen5-icon-theme | gnome-icon-theme
    to recommends. (Closes: #826311) 

 -- Alf Gaida <agaida@siduction.org>  Sat, 04 Jun 2016 15:54:21 +0200

pcmanfm-qt (0.11.0-3) unstable; urgency=low

  * Adding "Depends: dbus-x11". Closes: #820079

 -- Yuan CHAO <yuanchao@gmail.com>  Tue, 19 Apr 2016 20:30:00 +0800

pcmanfm-qt (0.11.0-2) unstable; urgency=medium

  * Merge experimental to unstable 

 -- Alf Gaida <agaida@siduction.org>  Thu, 31 Mar 2016 22:07:11 +0200

pcmanfm-qt (0.11.0-1) experimental; urgency=medium

  * New upstream release
  * Removed grep patch
  * Bump libfm-qt-dev (>= 0.11.0)

 -- Alf Gaida <agaida@siduction.org>  Mon, 28 Mar 2016 18:12:27 +0200

=== debian/control ===
Source: pcmanfm-qt
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>,
           Yuan CHAO <yuanchao@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake (>= 3.0.2),
               libfm-dev (>= 1.2.0),
               libfm-qt-dev (>= 0.11.0),
               libglib2.0-dev,
               liblxqt0-dev (>= 0.10.0),
               libmenu-cache-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 1.3.0),
               libx11-dev,
               pkg-config,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/pcmanfm-qt.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/pcmanfm-qt.git -b debian/sid
Homepage: https://github.com/lxde/pcmanfm-qt

Package: pcmanfm-qt
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         dbus-x11,
         libfm-modules
Recommends: gvfs-backends,
            lxqt-sudo | gksu,
            breeze-icon-theme | oxygen-icon-theme | faenza-icon-theme | gnome-icon-theme
Description: extremely fast and lightweight file and desktop icon manager
 PCManFM-Qt is the Qt port of the LXDE file manager PCManFM.
 .
 Libfm-Qt is a companion library providing components to build desktop file
 managers.

## pcmanfm-qt 0.11.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(pcmanfm-qt)

# CMP0063: Honor visibility properties for all target types.
if (POLICY CMP0063)
    cmake_policy (SET CMP0063 NEW)
endif (POLICY CMP0063)

set(PCMANFM_QT_VERSION_MAJOR 0)
set(PCMANFM_QT_VERSION_MINOR 11)
set(PCMANFM_QT_VERSION_PATCH 3)
set(PCMANFM_QT_VERSION ${PCMANFM_QT_VERSION_MAJOR}.${PCMANFM_QT_VERSION_MINOR}.${PCMANFM_QT_VERSION_PATCH})

set(LXQTBT_MINIMUM_VERSION "0.1.0")

list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")

find_package(Qt5Widgets 5.2 REQUIRED)
find_package(Qt5DBus 5.2 REQUIRED)
find_package(Qt5LinguistTools 5.2 REQUIRED)
find_package(Qt5X11Extras 5.2 REQUIRED)
find_package(fm-qt REQUIRED)
find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)

message(STATUS "Building ${PROJECT_NAME} with Qt ${Qt5Core_VERSION_STRING}")

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
include(GNUInstallDirs)
include(LXQtTranslateTs)
include(LXQtTranslateDesktop)
include(LXQtCompilerSettings NO_POLICY_SCOPE)

set(CMAKE_AUTOMOC TRUE)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

add_subdirectory(pcmanfm)

# manpage for pcmanfm-qt
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/pcmanfm-qt.1.in"
    "${CMAKE_CURRENT_BINARY_DIR}/pcmanfm-qt.1"
    @ONLY
)
install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/pcmanfm-qt.1"
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
)

# add Doxygen support to generate API docs
# References:
# http://majewsky.wordpress.com/2010/08/14/tip-of-the-day-cmake-and-doxygen/
# http://www.bluequartz.net/projects/EIM_Segmentation/SoftwareDocumentation/html/usewithcmakeproject.html
option(BUILD_DOCUMENTATION "Use Doxygen to create the HTML based API documentation" OFF)
if(BUILD_DOCUMENTATION)
    find_package(Doxygen REQUIRED)
    configure_file("${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in" "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile" @ONLY)
    add_custom_target(doc ALL
        ${DOXYGEN_EXECUTABLE} "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile"
        WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
        COMMENT "Generating API documentation with Doxygen" VERBATIM
    )
    install(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/docs" DESTINATION "${CMAKE_INSTALL_DOCDIR}")
endif()

=== pcmanfm/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
     desktopwindow.cpp
     desktopitemdelegate.cpp
     autorundialog.cpp
+    connectserverdialog.cpp
     settings.cpp
 )
 
@@ -30,6 +31,7 @@
     desktop-preferences.ui
     desktop-folder.ui
     autorun.ui
+    connect.ui
 )
 
 qt5_wrap_ui(pcmanfm_UIS_H ${pcmanfm_UIS})
@@ -38,6 +40,11 @@
 lxqt_translate_ts(QM_FILES
     UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
     SOURCES ${pcmanfm_SRCS} ${pcmanfm_UIS}
+    INSTALL_DIR "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations"
+    PULL_TRANSLATIONS ${PULL_TRANSLATIONS}
+    CLEAN_TRANSLATIONS ${CLEAN_TRANSLATIONS}
+    TRANSLATIONS_REPO ${TRANSLATIONS_REPO}
+    TRANSLATIONS_REFSPEC ${TRANSLATIONS_REFSPEC}
 )
 
 # translate desktop entry files for pcmanfm-qt and desktop preferences
@@ -53,16 +60,17 @@
     ${QM_FILES}
     ${DESKTOP_FILES}
 )
-set_property(
-     TARGET pcmanfm-qt APPEND
-     PROPERTY COMPILE_DEFINITIONS
-     PCMANFM_DATA_DIR="${CMAKE_INSTALL_PREFIX}/share/pcmanfm-qt"
-     PCMANFM_QT_VERSION="${PCMANFM_QT_VERSION}"
+
+target_compile_definitions(pcmanfm-qt
+    PRIVATE
+        PCMANFM_DATA_DIR="${CMAKE_INSTALL_PREFIX}/share/pcmanfm-qt"
+        PCMANFM_QT_VERSION="${PCMANFM_QT_VERSION}"
+        LIBFM_DATA_DIR="${PKG_FM_PREFIX}/share/libfm"
 )
 
 target_include_directories(pcmanfm-qt
-    PRIVATE "${LIB_XCB_INDLUDE_DIRS}"
-    "${Qt5Gui_PRIVATE_INCLUDE_DIRS}"
+    PRIVATE
+        "${Qt5Gui_PRIVATE_INCLUDE_DIRS}"
 )
 
 target_link_libraries(pcmanfm-qt
@@ -70,7 +78,6 @@
     Qt5::Widgets
     Qt5::DBus
     fm-qt
-    "${LIB_XCB_LIBRARIES}"
 )
 
 install(TARGETS pcmanfm-qt RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
@@ -79,7 +86,5 @@
 install(FILES ${DESKTOP_FILES} DESTINATION "${CMAKE_INSTALL_DATADIR}/applications"
 )
 
-install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_DATADIR}/pcmanfm-qt/translations")
-
 # prevent the generated files from being deleted during make clean
 set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM true)

=== debian/changelog ===
pcmanfm-qt (0.11.3-4) unstable; urgency=medium

  * Depend on desktop-file-utils (Closes: #866900)
  * Recommend ffmpegthumbnailer (Closes: #867460)
  * Removed the alternative dependency gksu.  Reason: #867236

 -- Alf Gaida <agaida@siduction.org>  Thu, 06 Jul 2017 19:58:03 +0200

pcmanfm-qt (0.11.3-3) unstable; urgency=medium

  * Bumped Standards to 4.0.0
  * Depend on lxqt-sudo | gksu we need at least one UI for sudo
  * Added Recommends: lximage-qt, lxqt-policykit, lxqt-qtplugin
    (Closes: #866347)
  * pcmanfm-qt allow multiple file selections with mouse, the implementation is
    horrible in some places, but it works. (Closes: #853201)

 -- Alf Gaida <agaida@siduction.org>  Sun, 02 Jul 2017 18:05:08 +0200

pcmanfm-qt (0.11.3-2) unstable; urgency=medium

  * set oxygen-icon-theme as default alternative recommendation
    (Closes: #851411)

 -- Alf Gaida <agaida@siduction.org>  Sun, 15 Jan 2017 01:35:46 +0100

pcmanfm-qt (0.11.3-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.3.

 -- Alf Gaida <agaida@siduction.org>  Sat, 14 Jan 2017 03:54:54 +0100

pcmanfm-qt (0.11.2-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.2.
  * Removed build dependencies:
    - libfm-dev
    - liblxqt0-dev
  * Bumped minimum versions
    - libfm-qt-dev (>= 0.11.2)
    - lxqt-build-tools (>= 0.3.0)
    - libfm-qt3 (>= 0.11.2)
  * Suggests: cdtool -> cdtool [linux-any]

 -- Alf Gaida <agaida@siduction.org>  Thu, 22 Dec 2016 02:02:37 +0100

pcmanfm-qt (0.11.1-3) unstable; urgency=medium

  * Added versioned dependency libfm-qt3 (>= 0.11.1), dh detect only
    a minimum version of 0.11.0 - false because some symbols are added
    which are needed for pcmanfm-qt (>= 0.11.1) (Closes: #842080)
  * Removed build dependencies
    - libqt5xdg-dev
    - pkg-config,
    - qttools5-dev,
    - qttools5-dev-tools
  * Added build dependency lxqt-build-tools

 -- Alf Gaida <agaida@siduction.org>  Sat, 05 Nov 2016 02:06:06 +0100

pcmanfm-qt (0.11.1-2) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.1.
  * Synced debian foo with experimental
  * Removed --parallel from rules, standard compat 10
  * New dep. default-dbus-session-bus | dbus-session-bus | dbus-x11
    (Closes: #836284)
  * Fixed Crashes while copying (Closes: #823753)
  * Bumped minimum version libfm-qt-dev (>= 0.11.1)
  * Bumped minimum version libqt5xdg-dev (>= 2.0.0)
  * Added build dependency libkf5windowsystem-dev
  * Added build dependency libqt5svg5-dev
  * Added build dependency liblxqt0-dev (>= 0.11.0)
  * Added Recommends pcmanfm-qt-l10n
  * Fixed VCS fields, using plain /git/
  * Fixed copyright Format field, using https
  * Dropped patches, applied upstream
  * Added translation controls
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo

 -- Alf Gaida <agaida@siduction.org>  Tue, 18 Oct 2016 22:59:30 +0200

=== debian/control ===
Source: pcmanfm-qt
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>,
           Yuan CHAO <yuanchao@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               libfm-qt-dev (>= 0.11.2),
               libglib2.0-dev,
               libkf5windowsystem-dev,
               libmenu-cache-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               lxqt-build-tools (>= 0.3.0)
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/pcmanfm-qt.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/pcmanfm-qt.git -b debian/sid
Homepage: https://github.com/lxde/pcmanfm-qt

Package: pcmanfm-qt
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         default-dbus-session-bus | dbus-session-bus | dbus-x11,
         desktop-file-utils,
         libfm-modules,
         libfm-qt3 (>= 0.11.2),
         lxqt-sudo
Recommends: eject,
            ffmpegthumbnailer,
            gvfs-backends,
            lximage-qt,
            lxqt-policykit,
            lxqt-qtplugin,
            oxygen-icon-theme | breeze-icon-theme | faenza-icon-theme | gnome-icon-theme,
            pcmanfm-qt-l10n
Suggests: cdtool [linux-any]
Description: extremely fast and lightweight file and desktop icon manager
 PCManFM-Qt is the Qt port of the LXDE file manager PCManFM.
 .
 Libfm-Qt is a companion library providing components to build desktop file
 managers.

## pcmanfm-qt 0.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,12 +6,14 @@
     cmake_policy (SET CMP0063 NEW)
 endif (POLICY CMP0063)
 
+# PcmanFm-Qt Version
 set(PCMANFM_QT_VERSION_MAJOR 0)
-set(PCMANFM_QT_VERSION_MINOR 11)
-set(PCMANFM_QT_VERSION_PATCH 3)
+set(PCMANFM_QT_VERSION_MINOR 12)
+set(PCMANFM_QT_VERSION_PATCH 0)
+
 set(PCMANFM_QT_VERSION ${PCMANFM_QT_VERSION_MAJOR}.${PCMANFM_QT_VERSION_MINOR}.${PCMANFM_QT_VERSION_PATCH})
 
-set(LXQTBT_MINIMUM_VERSION "0.1.0")
+set(LXQTBT_MINIMUM_VERSION "0.4.0")
 
 list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")
 
@@ -22,10 +24,11 @@
 find_package(fm-qt REQUIRED)
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
 
-message(STATUS "Building ${PROJECT_NAME} with Qt ${Qt5Core_VERSION_STRING}")
+message(STATUS "Building ${PROJECT_NAME} with Qt ${Qt5Core_VERSION}")
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 include(GNUInstallDirs)
+include(LXQtConfigVars)
 include(LXQtTranslateTs)
 include(LXQtTranslateDesktop)
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
@@ -61,3 +64,7 @@
     )
     install(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/docs" DESTINATION "${CMAKE_INSTALL_DOCDIR}")
 endif()
+
+# merged from lxqt-common
+add_subdirectory(autostart)
+add_subdirectory(config)

=== pcmanfm/CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,13 @@
     mainwindow.cpp
     tabpage.cpp
     tabbar.cpp
+    statusbar.cpp
     view.cpp
     launcher.cpp
     preferencesdialog.cpp
     xdgdir.cpp
     desktoppreferencesdialog.cpp
     desktopwindow.cpp
-    desktopitemdelegate.cpp
     autorundialog.cpp
     connectserverdialog.cpp
     settings.cpp

=== debian/changelog ===
pcmanfm-qt (0.12.0-5) unstable; urgency=medium

  * Moved git to salsa, changed the VCS fields that way
  * Bumped Standards to 4.1.3, no changes needed
  * Added gfvs-fuse to recommends, thanks robert <maxl1234@gmx.at>
    (Closes: #886166)

 -- Alf Gaida <agaida@siduction.org>  Fri, 05 Jan 2018 19:12:49 +0100

pcmanfm-qt (0.12.0-4) unstable; urgency=medium

  * Really bumped Standards.

 -- Alf Gaida <agaida@siduction.org>  Sat, 16 Dec 2017 03:48:34 +0100

pcmanfm-qt (0.12.0-3) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Move config to /usr/share/pcmanfm-qt/lxqt
  * Removed branch from VCS fields
  * Removed debian/gbp.conf

 -- Alf Gaida <agaida@siduction.org>  Fri, 15 Dec 2017 00:49:17 +0100

pcmanfm-qt (0.12.0-2) unstable; urgency=medium

  * Transition to unstable

 -- Alf Gaida <agaida@siduction.org>  Tue, 05 Dec 2017 01:51:44 +0100

pcmanfm-qt (0.12.0-1) experimental; urgency=medium

  * Cherry-picking upstream release 0.12.0.
  * Bumped Standards to 4.1.1
  * Bumped build-tools >= 0.4.0
  * Bumped libfm-qt-dev >= 0.12.0
  * Bumped years in copyright
  * Added  build dependency libexif-dev
  * Added Breaks and Replaces for lxqt-common << 0.12.0

 -- Alf Gaida <agaida@siduction.org>  Tue, 24 Oct 2017 21:53:39 +0200

=== debian/control ===
--- 
+++ 
@@ -8,17 +8,18 @@
 Section: x11
 Priority: optional
 Build-Depends: debhelper (>= 10),
-               libfm-qt-dev (>= 0.11.2),
+               libexif-dev,
+               libfm-qt-dev (>= 0.12.0),
                libglib2.0-dev,
                libkf5windowsystem-dev,
                libmenu-cache-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
-               lxqt-build-tools (>= 0.3.0)
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/pcmanfm-qt.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/pcmanfm-qt.git -b debian/sid
+               lxqt-build-tools (>= 0.4.0)
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/lxqt-team/pcmanfm-qt.git
+Vcs-Git: https://salsa.debian.org/lxqt-team/pcmanfm-qt.git
 Homepage: https://github.com/lxde/pcmanfm-qt
 
 Package: pcmanfm-qt
@@ -28,17 +29,20 @@
          default-dbus-session-bus | dbus-session-bus | dbus-x11,
          desktop-file-utils,
          libfm-modules,
-         libfm-qt3 (>= 0.11.2),
+         libfm-qt3 (>= 0.12.0),
          lxqt-sudo
 Recommends: eject,
             ffmpegthumbnailer,
             gvfs-backends,
+            gvfs-fuse,
             lximage-qt,
             lxqt-policykit,
             lxqt-qtplugin,
             oxygen-icon-theme | breeze-icon-theme | faenza-icon-theme | gnome-icon-theme,
             pcmanfm-qt-l10n
 Suggests: cdtool [linux-any]
+Breaks: lxqt-common (<< 0.12.0)
+Replaces: lxqt-common (<< 0.12.0)
 Description: extremely fast and lightweight file and desktop icon manager
  PCManFM-Qt is the Qt port of the LXDE file manager PCManFM.
  .

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/pcmanfm-qt/releases .*/pcmanfm-qt-([\d\.]+).tar.xz

## pcmanfm-qt 0.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,39 +1,38 @@
 cmake_minimum_required(VERSION 3.0.2)
 project(pcmanfm-qt)
 
-# CMP0063: Honor visibility properties for all target types.
-if (POLICY CMP0063)
-    cmake_policy (SET CMP0063 NEW)
-endif (POLICY CMP0063)
-
 # PcmanFm-Qt Version
 set(PCMANFM_QT_VERSION_MAJOR 0)
-set(PCMANFM_QT_VERSION_MINOR 12)
+set(PCMANFM_QT_VERSION_MINOR 13)
 set(PCMANFM_QT_VERSION_PATCH 0)
 
 set(PCMANFM_QT_VERSION ${PCMANFM_QT_VERSION_MAJOR}.${PCMANFM_QT_VERSION_MINOR}.${PCMANFM_QT_VERSION_PATCH})
 
-set(LXQTBT_MINIMUM_VERSION "0.4.0")
+set(QT_MINIMUM_VERSION "5.7.1")
+set(LXQTBT_MINIMUM_VERSION "0.5.0")
+set(LIBFMQT_MINIMUM_VERSION "5.0.0")
 
 list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")
 
-find_package(Qt5Widgets 5.2 REQUIRED)
-find_package(Qt5DBus 5.2 REQUIRED)
-find_package(Qt5LinguistTools 5.2 REQUIRED)
-find_package(Qt5X11Extras 5.2 REQUIRED)
-find_package(fm-qt REQUIRED)
+find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(fm-qt ${LIBFMQT_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
 
 message(STATUS "Building ${PROJECT_NAME} with Qt ${Qt5Core_VERSION}")
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 include(GNUInstallDirs)
+include(LXQtPreventInSourceBuilds)
 include(LXQtConfigVars)
 include(LXQtTranslateTs)
 include(LXQtTranslateDesktop)
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 
 set(CMAKE_AUTOMOC TRUE)
+set(CMAKE_AUTOUIC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
 add_subdirectory(pcmanfm)

=== pcmanfm/CMakeLists.txt ===
--- 
+++ 
@@ -14,15 +14,21 @@
     autorundialog.cpp
     connectserverdialog.cpp
     settings.cpp
+    bulkrename.cpp
 )
 
-qt5_add_dbus_adaptor(pcmanfm_SRCS
+qt5_add_dbus_adaptor(pcmanfm_DBUS_SRCS
     org.pcmanfm.Application.xml
     application.h
     PCManFM::Application
     applicationadaptor
     ApplicationAdaptor
 )
+
+# qt5_add_dbus_adaptor() already generated the moc files. It also marked the
+# files with SKIP_AUTOMOC but we still need to mark them witk SKIP_AUTOGEN.
+# TODO: Check if this behaviour is a CMake bug.
+set_source_files_properties(${pcmanfm_DBUS_SRCS} PROPERTIES SKIP_AUTOGEN ON)
 
 set(pcmanfm_UIS
     main-win.ui
@@ -32,9 +38,8 @@
     desktop-folder.ui
     autorun.ui
     connect.ui
+    bulk-rename.ui
 )
-
-qt5_wrap_ui(pcmanfm_UIS_H ${pcmanfm_UIS})
 
 # add translation for pcmanfm-qt
 lxqt_translate_ts(QM_FILES
@@ -56,7 +61,8 @@
 
 add_executable(pcmanfm-qt
     ${pcmanfm_SRCS}
-    ${pcmanfm_UIS_H}
+    ${pcmanfm_DBUS_SRCS}
+    ${pcmanfm_UIS}
     ${QM_FILES}
     ${DESKTOP_FILES}
 )
@@ -66,6 +72,7 @@
         PCMANFM_DATA_DIR="${CMAKE_INSTALL_PREFIX}/share/pcmanfm-qt"
         PCMANFM_QT_VERSION="${PCMANFM_QT_VERSION}"
         LIBFM_DATA_DIR="${PKG_FM_PREFIX}/share/libfm"
+        QT_NO_FOREACH
 )
 
 target_include_directories(pcmanfm-qt

=== debian/changelog ===
pcmanfm-qt (0.13.0-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 19 Sep 2018 10:18:55 -0700

pcmanfm-qt (0.13.0-2) unstable; urgency=medium

  * Switch to unstable
  * Bumped build dependency libfm-qt-dev to >= 0.13.1~
  * Bumped Standards to 4.1.5, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Sat, 07 Jul 2018 14:37:15 +0200

pcmanfm-qt (0.13.0-1) experimental; urgency=medium

  * Cherry-picking upstream release 0.13.0.
  * Bumped build dependency libfm-qt-dev to >= 0.13.0~
  * Bumped build dependency lxqt-build-tools to >= 0.5.0~
  * Added papirus-icon-theme as default alternative for icon-themes
  * Bumped year in copyright
  * Removed ported back upstream patches.
  * Moved debian/.gitignore -> ./.gitignore

 -- Alf Gaida <agaida@siduction.org>  Sat, 26 May 2018 02:25:19 +0200

pcmanfm-qt (0.12.0-6) unstable; urgency=medium

  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Bumped Standards to 4.1.4, no changes needed
  * Fixed a glitch in VCS fields
  * Changed Homepage, Source and watch to lxqt
  * Bumped year in copyright

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 18:43:40 +0200

=== debian/control ===
Source: pcmanfm-qt
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>,
           Yuan CHAO <yuanchao@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               libexif-dev,
               libfm-qt-dev (>= 0.13.1~),
               libkf5windowsystem-dev,
               libmenu-cache-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               lxqt-build-tools (>= 0.5.0~),
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/lxqt-team/pcmanfm-qt
Vcs-Git: https://salsa.debian.org/lxqt-team/pcmanfm-qt.git
Homepage: https://github.com/lxqt/pcmanfm-qt

Package: pcmanfm-qt
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         default-dbus-session-bus | dbus-session-bus | dbus-x11,
         desktop-file-utils,
         libfm-modules,
         libfm-qt5 (>= 0.13.1~),
         lxqt-sudo
Recommends: eject,
            ffmpegthumbnailer,
            gvfs-backends,
            gvfs-fuse,
            lximage-qt,
            lxqt-policykit,
            lxqt-qtplugin,
            papirus-icon-theme | breeze-icon-theme | faenza-icon-theme | oxygen-icon-theme,
            pcmanfm-qt-l10n
Suggests: cdtool [linux-any]
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: extremely fast and lightweight file and desktop icon manager
 PCManFM-Qt is the Qt port of the LXDE file manager PCManFM.
 .
 Libfm-Qt is a companion library providing components to build desktop file
 managers.

## pcmanfm-qt 0.14.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,22 +1,28 @@
-cmake_minimum_required(VERSION 3.0.2)
+cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
+# CMakeLists.txt file even before calling the project() command.
+# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
+# command to specify that the current project code is written for the given range of CMake
+# versions.
 project(pcmanfm-qt)
 
 # PcmanFm-Qt Version
 set(PCMANFM_QT_VERSION_MAJOR 0)
-set(PCMANFM_QT_VERSION_MINOR 13)
-set(PCMANFM_QT_VERSION_PATCH 0)
+set(PCMANFM_QT_VERSION_MINOR 14)
+set(PCMANFM_QT_VERSION_PATCH 1)
 
 set(PCMANFM_QT_VERSION ${PCMANFM_QT_VERSION_MAJOR}.${PCMANFM_QT_VERSION_MINOR}.${PCMANFM_QT_VERSION_PATCH})
 
+# Minimum versions
+set(LIBFMQT_MINIMUM_VERSION "0.14.1")
+set(LXQTBT_MINIMUM_VERSION "0.6.0")
 set(QT_MINIMUM_VERSION "5.7.1")
-set(LXQTBT_MINIMUM_VERSION "0.5.0")
-set(LIBFMQT_MINIMUM_VERSION "5.0.0")
 
 list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")
 
-find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(fm-qt ${LIBFMQT_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
@@ -64,6 +70,5 @@
     install(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/docs" DESTINATION "${CMAKE_INSTALL_DOCDIR}")
 endif()
 
-# merged from lxqt-common
 add_subdirectory(autostart)
 add_subdirectory(config)

=== pcmanfm/CMakeLists.txt ===
--- 
+++ 
@@ -46,10 +46,6 @@
     UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
     SOURCES ${pcmanfm_SRCS} ${pcmanfm_UIS}
     INSTALL_DIR "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations"
-    PULL_TRANSLATIONS ${PULL_TRANSLATIONS}
-    CLEAN_TRANSLATIONS ${CLEAN_TRANSLATIONS}
-    TRANSLATIONS_REPO ${TRANSLATIONS_REPO}
-    TRANSLATIONS_REFSPEC ${TRANSLATIONS_REFSPEC}
 )
 
 # translate desktop entry files for pcmanfm-qt and desktop preferences
@@ -72,7 +68,6 @@
         PCMANFM_DATA_DIR="${CMAKE_INSTALL_PREFIX}/share/pcmanfm-qt"
         PCMANFM_QT_VERSION="${PCMANFM_QT_VERSION}"
         LIBFM_DATA_DIR="${PKG_FM_PREFIX}/share/libfm"
-        QT_NO_FOREACH
 )
 
 target_include_directories(pcmanfm-qt

=== debian/changelog ===
pcmanfm-qt (0.14.1-0ubuntu3) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:53:47 +0100

pcmanfm-qt (0.14.1-0ubuntu2) eoan; urgency=medium

  * Changed thumbnail view icon to view-preview

 -- Hans P Möller <hmollercl@lubuntu.me>  Sat, 07 Sep 2019 12:34:58 -0400

pcmanfm-qt (0.14.1-0ubuntu1) disco; urgency=medium

  * New upstream release.
  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 09 Mar 2019 13:23:17 -0600

pcmanfm-qt (0.14.0-0ubuntu2) disco; urgency=medium

  * Depend on the newer libfm-qt6 package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 26 Jan 2019 10:21:10 -0600

pcmanfm-qt (0.14.0-0ubuntu1) disco; urgency=medium

  * New upstream release.
    - Bump build dependencies.
    - Remove reverse-applicable patches.
  * Bump Standards-version to 4.3.0, no changes needed.
  * Bump debhelper compat to 12, no changes needed.
  * Add a new pcmanfm-qt-l10n package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 26 Jan 2019 01:01:30 -0600

pcmanfm-qt (0.13.0-2ubuntu2) cosmic; urgency=medium

  * No-change rebuild for changes in libfm-qt.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 10 Oct 2018 21:00:58 -0500

pcmanfm-qt (0.13.0-2ubuntu1) cosmic; urgency=medium

  * Update Vcs-* and Maintainer for maintaining in Lubuntu.
  * Polish the drag and drop experience by backporting some upstream commits.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Jul 2018 18:24:46 -0500

=== debian/control ===
Source: pcmanfm-qt
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>,
           Yuan CHAO <yuanchao@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 12),
               libexif-dev,
               libfm-qt-dev (>= 0.14.0),
               libkf5windowsystem-dev,
               libmenu-cache-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               lxqt-build-tools (>= 0.6.0)
Standards-Version: 4.3.0
Vcs-Browser: https://phab.lubuntu.me/source/pcmanfm-qt/
Vcs-Git: https://phab.lubuntu.me/source/pcmanfm-qt.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/pcmanfm-qt
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/pcmanfm-qt.git
Homepage: https://github.com/lxqt/pcmanfm-qt

Package: pcmanfm-qt
Architecture: any
Depends: default-dbus-session-bus | dbus-session-bus | dbus-x11,
         desktop-file-utils,
         libfm-modules,
         libfm-qt6 (>= 0.14.0),
         lxqt-sudo,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: eject,
            ffmpegthumbnailer,
            gvfs-backends,
            gvfs-fuse,
            lximage-qt,
            lxqt-policykit,
            lxqt-qtplugin,
            papirus-icon-theme | breeze-icon-theme | faenza-icon-theme | oxygen-icon-theme,
            pcmanfm-qt-l10n
Suggests: cdtool [linux-any]
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: extremely fast and lightweight file and desktop icon manager
 PCManFM-Qt is the Qt port of the LXDE file manager PCManFM.
 .
 Libfm-Qt is a companion library providing components to build desktop file
 managers.

Package: pcmanfm-qt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Breaks: pcmanfm-qt (<< 0.11.1)
Replaces: pcmanfm-qt (<< 0.11.1)
Description: Language package for pcmanfm-qt
 This package contains the l10n files needed by pcmanfm-qt.

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/pcmanfm-qt/releases .*/pcmanfm-qt-([\d\.]+).tar.xz

## pcmanfm-qt 0.15.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,15 +8,15 @@
 
 # PcmanFm-Qt Version
 set(PCMANFM_QT_VERSION_MAJOR 0)
-set(PCMANFM_QT_VERSION_MINOR 14)
-set(PCMANFM_QT_VERSION_PATCH 1)
+set(PCMANFM_QT_VERSION_MINOR 15)
+set(PCMANFM_QT_VERSION_PATCH 0)
 
 set(PCMANFM_QT_VERSION ${PCMANFM_QT_VERSION_MAJOR}.${PCMANFM_QT_VERSION_MINOR}.${PCMANFM_QT_VERSION_PATCH})
 
 # Minimum versions
-set(LIBFMQT_MINIMUM_VERSION "0.14.1")
-set(LXQTBT_MINIMUM_VERSION "0.6.0")
-set(QT_MINIMUM_VERSION "5.7.1")
+set(LIBFMQT_MINIMUM_VERSION "0.15.0")
+set(LXQTBT_MINIMUM_VERSION "0.7.0")
+set(QT_MINIMUM_VERSION "5.10.0")
 
 list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")

=== debian/changelog ===
pcmanfm-qt (0.15.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Update upstream signing key.
    - Update LXQt build dependencies.
    - libfm-qt6 -> libfm-qt7 due to SONAME bump.
  * Update Standards-version to 4.5.0, no changes needed.
  * Migrate to debhelper-compat.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 04 Jun 2020 14:18:48 -0500

pcmanfm-qt (0.14.1-0ubuntu3) eoan; urgency=medium

  * Drop patch change-thumbnail-view-icon.patch

 -- apt-ghetto <apt-ghetto@lubuntu.me>  Sun, 29 Sep 2019 11:19:46 +0200

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,16 @@
            Yuan CHAO <yuanchao@gmail.com>
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 12),
                libexif-dev,
-               libfm-qt-dev (>= 0.14.0),
+               libfm-qt-dev (>= 0.15.0),
                libkf5windowsystem-dev,
                libmenu-cache-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
-               lxqt-build-tools (>= 0.6.0)
-Standards-Version: 4.3.0
+               lxqt-build-tools (>= 0.7.0)
+Standards-Version: 4.5.0
 Vcs-Browser: https://phab.lubuntu.me/source/pcmanfm-qt/
 Vcs-Git: https://phab.lubuntu.me/source/pcmanfm-qt.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/pcmanfm-qt
@@ -29,7 +29,7 @@
 Depends: default-dbus-session-bus | dbus-session-bus | dbus-x11,
          desktop-file-utils,
          libfm-modules,
-         libfm-qt6 (>= 0.14.0),
+         libfm-qt7 (>= 0.15.0),
          lxqt-sudo,
          ${misc:Depends},
          ${shlibs:Depends}
